SUBSYSTEM_REGISTER(9)

NAME
subsystem_register - register a subsystem.

SYNOPSIS

int subsystem_register (struct subsystem * s);

ARGUMENTS

s   the subsystem we're registering.

DESCRIPTION

Once we register the subsystem, we want to make sure that the kset points back to this subsystem for correct usage of the rwsem.